
Chef - Bug #12848

Duplicates host in Foreman console

12/16/2015 09:54 AM - Julien Debbia

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: chef-handler-foreman   

Target version: chef-handler-foreman 0.1.1   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

I configured a Windows Server to send facts/reports to Foreman.

The name of the node is WIN2012.

When I execute a chef-client, it creates two hosts (WIN2012 and win2012).

The downcase host contains the reports and the uppecase contains the facts.

Could you check it please?

Thanks.

Best regards

Related issues:

Related to Foreman - Bug #12185: Inconsistent Host Creation Closed 10/15/2015

Associated revisions

Revision d502af47 - 12/18/2015 04:39 AM - Marek Hulán

Fixes #12848 - enforce downcase node name in old reporting as well

History

#1 - 12/18/2015 04:38 AM - Marek Hulán

- Related to Bug #12185: Inconsistent Host Creation added

#2 - 12/18/2015 04:41 AM - Marek Hulán

- Category set to chef-handler-foreman

- Assignee set to Marek Hulán

- translation missing: en.field_release set to 92

This is fixed in Foreman 1.11 but it would take too long before it gets released so we can fix this on chef-handler-foreman side as well. There was

already a patch by Ginja (https://github.com/theforeman/chef-handler-foreman/pull/22). I added the same logic to old reporting as well.

#3 - 12/18/2015 07:08 AM - Marek Hulán

- Status changed from New to Closed

- % Done changed from 0 to 100

Closed by merging https://github.com/theforeman/chef-handler-foreman/commit/b04ab24d770a50dd826de77a291c54bc95394ed0 and 

https://github.com/theforeman/chef-handler-foreman/commit/d502af47801a4fb585bf8d21c32cf320faab4ce9 fixed in 0.1.1
